
Figure - Bug #118959
【VC1】【0116】【台架】【副屏】副屏电话会议（QQ语音）过程中出现蓝牙没有声音断开蓝牙外放也没有
声音
2023-07-03 10:47 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-07-03

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0116

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】时间：7.3 09：58

【前提条件】

副屏已安装QQ应用

副屏已连接蓝牙

【操作步骤】

1.拨打副屏QQ进入语音状态

2.使用蓝牙接听

3.关闭副屏蓝牙使用外放接听

4.打开副屏蓝牙使用蓝牙耳机接听

【实际结果】

重复步骤3和4数次

【期望结果】

蓝牙和外放都没有声音输出

History

#1 - 2023-07-03 11:11 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

Hi ALL

1.断开蓝牙时，主动和中控申请焦点，此时申请的焦点正常。

192980:07-03 09:59:33.365  1507  1507 D AS.AudioService: idcm_af:mBluetoothConnectionState: false

193086:07-03 09:59:33.370  1507  2427 D AS.AudioService: idcm_af:setBluetoothConnected: false

193087:07-03 09:59:33.370  1507  2427 D AS.AudioService: idcm_af:requestAudioFocus speaker is on

193088:07-03 09:59:33.370  1507  2427 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 0

193089:07-03 09:59:33.370  1507  2427 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: AudioFocus_VoiceCall

193091:07-03 09:59:33.370  1507  2427 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}

193092:07-03 09:59:33.370  1507  2427 I MicroServiceManager: requestResult(requestAudioFocus) parameters

is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}.

193093:07-03 09:59:33.370  1507  2427 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo
193094:07-03 09:59:33.370  1507  2427 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

193099:07-03 09:59:33.373  2183  2892 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1688349573371080068',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1688349573371080068,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall"}}}}

193290:07-03 09:59:33.419  2183  2614 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1688349573371080068',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1688349

573371080068,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRA

NTED"}}}}

193291:07-03 09:59:33.419  2183  2614 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

193292:07-03 09:59:33.420  1507  1647 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_VoiceCall","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

193293:07-03 09:59:33.420  1507  1647 D AudioIDCMicroNegotiator: idcm_af:onAudioFocusStateChanged type=AudioFocus_VoiceCall, result =

AUDIOFOCUS_REQUEST_GRANTED timeout= false

193294:07-03 09:59:33.420  1507  1647 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

193295:07-03 09:59:33.420  1507  2427 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 1 mIsTimeout= false time= 49

2. 获取焦点中间，中控回了一条media loss的消息，将电话声音给mute了；

193270:07-03 09:59:33.406  1507  1647 D AudioIDCMicroNegotiator: idcm_common:request from IDCM:  method = onAudioFocusChange parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_LOSS_TRANSIENT"}}

193271:07-03 09:59:33.406  1507  1647 D AudioIDCMicroNegotiator: idcm_af:onAudioFocusStateChanged type=AudioFocus_Media, result =

AUDIOFOCUS_LOSS_TRANSIENT timeout= false

193272:07-03 09:59:33.406  1507  1647 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

193274:07-03 09:59:33.406  1507  1865 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

194055:07-03 09:59:33.777  1507  1865 D AS.AudioService: idcm_af:onAudioFocusRemoteChanged: -2 mute call

3. 对比正常，该次media loss的消息在返回焦点申请结果之前的，判断当前条件，会拦截该次media loss。

下一步：

优化条件判断，将该次media loss给完全拦截。

#2 - 2023-07-06 14:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211923 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix the effect of media loss on focusFix the effect of media loss on focusTC-RID: 0301-0900116IssueID: TS-R-DF-118959Change-Id:

Ic52bf31efb0721134b254d1ea9839880a53033d3
#3 - 2023-07-07 11:12 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

Hi ALL

从日志分析，在断开蓝牙时，焦点申请超时，导致mute了call，这时不会有声音输出；

连接蓝牙时，副屏voice_call已经被mute，所以蓝牙也不会存在声音输出。

56707:07-06 16:05:29.665  2676  3907 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1688630729658600184',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1688630729658600184,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}}}

56788:07-06 16:05:29.690  2676  2939 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1688630729658600184',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"requestAudioFocus","messageType":1,"uuid":1688630

729658600184,"parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANT

ED"}}}}

56789:07-06 16:05:29.690  2676  2939 I MicroService: onResponse(requestAudioFocus):

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media","IDCM_AudioFocus_Result":"AUDIOFOCUS_REQUEST_GRANTED"}}

57312:07-06 16:05:30.259  1560  2431 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

57313:07-06 16:05:30.259  1560  2431 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= true time= 600

57320:07-06 16:05:30.260  1560  2298 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

57321:07-06 16:05:30.260  1560  2298 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: 0 info=

RequestInfosToIDCM{mPid=10095, mUid=11577}

57322:07-06 16:05:30.260  1560  2298 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 0 info: RequestInfosToIDCM{mPid=10095, mUid=11577}

57329:07-06 16:05:30.260  1560  2298 D AS.AudioService: idcm_af:onAudioFocusRemoteChanged: 0 mute call

57336:07-06 16:05:30.262  1560  2298 D MediaFocusControl: audio_idcm: updateCurrentAudioFocus: uid= 11577 fr = 10095 focusChange= -1

总结

该问题根本原因在于，申请焦点时，微服务回复超时。

#4 - 2023-07-07 11:23 - Multimedia组-RD3_TSCD 梁卿山

- File 18.txt added

Hi 廖涛

麻烦根据新的日志看看呢，谢谢！

#5 - 2023-07-10 17:29 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213604 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
MM: Audio: Fix the effect of media loss on focusFix the effect of media loss on focusTC-RID: 0301-0900116IssueID: TS-R-DF-118959Change-Id:

Ic52bf31efb0721134b254d1ea9839880a53033d3(cherry picked from commit c57f9d525996783502b80ef6eb5fd52319ae233e)

#6 - 2023-08-01 16:46 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW-廖涛

#7 - 2023-08-01 17:56 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

Hi 王维

请在新版本验证该问题，谢谢！

#8 - 2023-08-24 19:09 - 物联网测试组_TSCD 王维

- Status changed from ASSIGNED to RESOLVED

已在0136和0138版本验证，未复现该现

#9 - 2023-09-13 16:51 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

已在下列版本中验证通过

01.00.0140

01.00.0142

#10 - 2023-09-13 16:52 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

11.txt 29.1 MB 2023-07-03 物联网测试组_TSCD 王维

tlog_iov0201017500006162025411a2305070000003741_000067_0703100346.tar.gz30.5 MB 2023-07-03 物联网测试组_TSCD 王维

18.txt 15.6 MB 2023-07-07 Multimedia组-RD3_TSCD 梁卿山
